Bug 698154 - apvlv doesn't build with poppler-0.17.0
Summary: apvlv doesn't build with poppler-0.17.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: apvlv
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pierre Carrier
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 697875
TreeView+ depends on / blocked
 
Reported: 2011-04-20 10:25 UTC by Marek Kašík
Modified: 2011-08-22 14:59 UTC (History)
2 users (show)

Fixed In Version: apvlv-0.0.9.8-5.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-22 14:59:02 UTC
Type: ---


Attachments (Terms of Use)

Description Marek Kašík 2011-04-20 10:25:54 UTC
Description of problem:
Current version of apvlv calls poppler's function "poppler_page_render_to_pixbuf()" which was removed in poppler-0.17.0.


Version-Release number of selected component (if applicable):
apvlv-0.0.9.8-4


Actual results:
Build fails.


Expected results:
Build succeed.


Additional info:
See the bug #697875 for more info and scratch-build of poppler-0.17.0.

Comment 1 Marek Kašík 2011-06-21 13:04:20 UTC
Hi,

is there any update regarding this bug? I will commit the new poppler to rawhide next week.

Marek

Comment 2 Marek Kašík 2011-07-01 13:05:59 UTC
Hi,

since this is not fixed yet (together with another 4 packages), I'm postponing the commit of new poppler to 11th of July (I'll be on vacation next week).

Regards

Marek

Comment 3 Pierre Carrier 2011-08-01 23:56:05 UTC
Fixed now.
I'll bug upstream with the patches.
Sorry for the delay.

Comment 4 Fedora Update System 2011-08-02 00:18:06 UTC
apvlv-0.0.9.8-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/apvlv-0.0.9.8-5.fc16

Comment 5 Fedora Update System 2011-08-02 03:46:37 UTC
Package apvlv-0.0.9.8-5.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing apvlv-0.0.9.8-5.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/apvlv-0.0.9.8-5.fc16
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-08-22 14:58:57 UTC
apvlv-0.0.9.8-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.